/* Sponsors */

.herd-videos {
  $youtube-play-icon-size: 66px;

  .col {
    text-align: center;
  }

  .img {
    display: block;
    position: relative;
    width: 100%;
    padding-bottom: 56%;
    margin-bottom: 30px;
    background-color: black;
    overflow: hidden;
    text-decoration: none;

    &:after {
      @include icon($fa-var-play);
      position: absolute;
      display: block;
      margin-top: $youtube-play-icon-size / -2;
      left: 0;
      top: 50%;
      z-index: 2;
      width: 100%;
      height: $youtube-play-icon-size;
      line-height: $youtube-play-icon-size + 1;
      text: {
        align: center;
        shadow: 0 0 15px rgba($black, 0.3);
      }
      font-size: $youtube-play-icon-size;
      transition: font-size 0.1333s ease-out;

      color: $youtube;
    }

    &:hover {
      &:after {
        font-size: $youtube-play-icon-size + 10;
      }
    }
  }

  .title {
    position: absolute;
    bottom: 0;
    left: 0;
    padding: 4px 10px;
    width: 100%;
    min-height: 48px;
    z-index: 1;
    font-size: 14px;
    color: $white;
    background-color: rgba($black, 0.555);
  }

  .inner {
    display: block;
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    text-align: center;
    vertical-align: middle;
    font: 0/0 a;

    &:before {
      content: '';
      display: inline-block;
      height: 100%;
      vertical-align: middle;
    }
  }

  img {
    display: inline-block;
    margin-top: -9.85%;
    max-height: 150%;
    max-width: 100%;
    min-width: 100%;
    height: auto;
    width: auto;
     vertical-align: middle;
  }
}

// Video subpage

iframe {
	width: 100% !important;
	height: 512px !important;

	@media all and (max-width: 760px) {
		height: 420px !important;
	}

	@media all and (max-width: 600px) {
		height: 400px !important;
	}

	@media all and (max-width: 510px) {
		height: 360px !important;
	}
}
